# vim: set ft=spec: -*- rpm-spec -*-

%define pkgname mkrf

Name: ruby-%pkgname
Version: 0.2.3
Release: alt1

Summary: making C extensions for Ruby a bit easier
Group: Development/Ruby
License: MIT
Url: http://rubyforge.org/projects/mkrf/

Packager: Ruby Maintainers Team <ruby@packages.altlinux.org>

BuildArch: noarch

BuildRequires(pre): rpm-build-ruby

Source: %name-%version.tar
Patch: %name-%version-%release.patch

BuildRequires(pre): rpm-build-ruby 
# Automatically added by buildreq on Thu Apr 03 2008 (-bi)
BuildRequires: ruby-module-etc ruby-module-fileutils ruby-module-test-unit ruby-rake zlib-devel

%description
mkrf is a library for generating Rakefiles. It is primarily for
building C extensions for Ruby, but will be able to be used for
generic Rakefile generation as well. Main goals include simple
use and reuse in other projects.

%prep
%setup
%patch -p1

%build
%rake

%install
# Dumb upstream...
mkdir -p %buildroot%ruby_sitelibdir
cp -rp lib/*  %buildroot%ruby_sitelibdir

%files
%ruby_sitelibdir/*
%doc examples README TODO CHANGELOG

%changelog
* Thu Apr 03 2008 Sir Raorn <raorn@altlinux.ru> 0.2.3-alt1
- Built for Sisyphus

